Finish a run
POST
/v1/runs/{run}/finish
const url = 'https://api.proxymail.qa/v1/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/finish';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"failed":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.proxymail.qa/v1/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/finish \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "failed": false }'Passed, unless an email was missing, one came when none should have, an email check failed, a note or a test failed it, or failed: true says your tests failed. Finishing a finished run changes nothing.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”run
required
string format: uuid
Request Body
Section titled “Request Body”Media typeapplication/json
object
failed
boolean
Responses
Section titled “Responses”The run
Media typeapplication/json
object
id
string format: uuid
name
string
source
string
status
string
meta
object
started_at
string format: date-time
finished_at
string | null format: date-time
url
The run in the app.
string format: uri
project
object
id
string
name
string
events
What the run saw, oldest first. Not in lists.
Array<object>
object
at
string format: date-time
kind
string
address
string | null
failed
boolean
detail
Email: type, subtype, service, received_at, after_seconds, and code or link and goes_to ({ site, path }). missing: what was waited for and hint. none: arrived, since, until. count: count. checks: passed, failed, warnings and notes. note: text.
object
Example
{ "source": "ci", "status": "running", "events": [ { "kind": "address" } ]}An error
Media typeapplication/json
object
error
string
message
string
Example generated
{ "error": "example", "message": "example"}